/// <reference types="node" />
import querystring from "querystring";
export declare function isDesktopSafari(): boolean;
export declare function parseHashOptions(hash: string): Record<string, string | boolean | string[] | undefined>;
export declare function parseSearchOptions(search: string): Record<string, string | boolean | string[] | undefined>;
export declare function stringifyHashOptions(options: querystring.ParsedUrlQueryInput): string;
export declare function isMac(): boolean;
export declare const METAKEY: string;
